Page MenuHomePhabricator

Convert JobRunner.php to PSR-3 logging and add levels
Closed, ResolvedPublic

Description

Make the jobRunner logging channel more friendly to Logstash by converting from wfDebugLog to direct use of the PSR-3 logger interface and categorizing the log messages as debug, info and error levels.

This will allow WMF production to add configuration that only sends warning level messages to logstash rather than collecting all messages which is a high volume data feed with low signal in the typical case.

Related Objects

Event Timeline

bd808 created this task.Jan 24 2015, 10:51 PM
bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 added a project: MediaWiki-Core-Team.
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2015, 10:51 PM
bd808 claimed this task.Jan 26 2015, 11:11 PM
bd808 moved this task from Backlog to In Dev/Progress on the MediaWiki-Core-Team board.
gerritbot added a subscriber: gerritbot.

Change 186897 had a related patch set uploaded (by BryanDavis):
Convert JobRunner to PSR-3 logger

https://gerrit.wikimedia.org/r/186897

Patch-For-Review

bd808 triaged this task as Normal priority.Feb 2 2015, 8:51 PM
bd808 moved this task from In Dev/Progress to Needs Review/Feedback on the MediaWiki-Core-Team board.
bd808 set Security to None.

Change 186897 merged by jenkins-bot:
Convert JobRunner to PSR-3 logger

https://gerrit.wikimedia.org/r/186897

Change 210083 had a related patch set uploaded (by BryanDavis):
jobrunner: Change logging level for STARTING messages

https://gerrit.wikimedia.org/r/210083

Change 210086 had a related patch set uploaded (by BryanDavis):
logstash: Exclude jobrunner debug messages

https://gerrit.wikimedia.org/r/210086

Change 210083 merged by jenkins-bot:
jobrunner: Change logging level for STARTING messages

https://gerrit.wikimedia.org/r/210083

Change 210086 merged by jenkins-bot:
logstash: Exclude jobrunner debug messages

https://gerrit.wikimedia.org/r/210086

bd808 closed this task as Resolved.May 28 2015, 1:20 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptJul 29 2016, 8:19 PM
bd808 moved this task from To Do to Archive on the User-bd808 board.Sep 1 2016, 5:14 PM